Summary:	Pgpool is a connection pooling/replication server for PostgreSQL
Name:		pgpool
Version:	3.1.1
Release:	2%{?dist}
License:	BSD
Vendor:		PgPool Global Development Group
Group:		Applications/Databases
URL:		http://pgpool.projects.PostgreSQL.org
Source0:	http://pgfoundry.org/frs/download.php/980/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	postgresql-server

%description
pgpool is a connection pooling/replication server for PostgreSQL.
pgpool runs between PostgreSQL's clients(front ends) and servers
(backends). A PostgreSQL client can connect to pgpool as if it 
were a standard PostgreSQL server.

%prep
%setup -q -n %{name}-%{version}
%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS

%configure --bindir=%{_bindir} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --libdir=%{_libdir}

make %{?smp_flags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -m 755 %{name} %{buildroot}%{_bindir}
install -m 644 %{name}.conf.sample %{buildroot}%{_sysconfdir}
install -m 644 %{name}.8 %{buildroot}%{_mandir}/man8/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README README.euc_jp TODO COPYING INSTALL AUTHORS ChangeLog NEWS 
%{_bindir}/pgpool
%config(noreplace) %{_sysconfdir}/pgpool.conf.sample
%{_mandir}/man8/*

%changelog
* Fri Jul 23 2006 - Devrim GUNDUZ <devrim@commandprompt.com> 3.1.1-2
- Fixed spec file, per bugzilla review (#199679)

* Fri Jul 23 2006 - Devrim GUNDUZ <devrim@commandprompt.com> 3.1.1-1
- Update to 3.1.1

* Fri Jul 22 2006 - Devrim GUNDUZ <devrim@commandprompt.com> 3.1.0-2
- Fixed spec file, per bugzilla review (#199679)

* Fri Jul 21 2006 - Devrim GUNDUZ <devrim@commandprompt.com> 3.1.0-1
- Update to 3.1.0-1
- Fixed rpmlint errors

* Thu May 25 2006 - Devrim GUNDUZ <devrim@commandprompt.com> 3.0.2
- Update to 3.0.2

* Thu Feb 05 2006 - Devrim GUNDUZ <devrim@commandprompt.com> 3.0.0
- Update to 3.0.0 for PgPool Global Development Group

* Thu Feb 02 2006 - Devrim GUNDUZ <devrim@commandprompt.com> 2.7.2-1
- Update to 2.7.2

* Thu Jan 26 2006 - Devrim GUNDUZ <devrim@commandprompt.com> 2.7.1-1
- Update to 2.7.1

* Sun Jan 15 2006 - Devrim GUNDUZ <devrim@commandprompt.com> 2.7-1
- Update to 2.7

* Wed Dec 28 2005 Devrim Gunduz <devrim@commandprompt.com> pgpool-2.6.5
- Update to 2.6.5
- Removed post scripts
- Updated doc files

* Sat Oct 22 2005 Devrim Gunduz <devrim@PostgreSQL.org> pgpool-2.6.4
- Update to 2.6.4
